/*
	File:		Application.r

	Contains:	Resources used by the TApplication class

	Copyright:	 1991-1993 by Apple Computer, Inc., all rights reserved.

*/

#include "SysTypes.r"
#include "Types.r"

#include "ApplicationCommon.h"

resource 'STR#' (kApplicationErrStrings, purgeable) {
	{
	"You must run on 512Ke or later";
	"Application Memory Size is too small"
	}
};


/* this ALRT and DITL are used as an error screen */
resource 'ALRT' (rUserAlert, purgeable) {
	{40, 20, 180, 330},
	rUserAlert,
	{ /* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'DITL' (rUserAlert, purgeable) {
	{ /* array DITLarray: 3 elements */
		/* [1] */
		{110, 220, 130, 300},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 60, 90, 300},
		StaticText {
			disabled,
			"Error. ^0."
		},
		/* [3] */
		{8, 8, 40, 40},
		Icon {
			disabled,
			2
		}
	}
};

