/*
	File:		ApplicationCommon.h

	Contains:	Stuff common to Application.h and Application.r

	Copyright:	 1991-1993 by Apple Computer, Inc., all rights reserved.

*/

#ifndef __APPLICATIONCOMMON__
#define __APPLICATIONCOMMON__

/*
	These definitions are shared by Rez and C++. We use #define statements
	instead of constants in this file because Rez doesn't support constants.
 */

/* Some constants for resource ID's */
#define kApplicationErrStrings	128		/* error string list */

/* The following are indicies into our error STR# resource. */
#define	eWrongMachine			1
#define	eSmallSize				2

#define	rUserAlert	129					/* user error alert */

#endif
