/*
	File:		InspectorCommon.h

	Contains:	Common CPlusPlus and Rez include file for TInspector.

	Copyright:	 1991-1993 by Apple Computer, Inc., all rights reserved.

*/

#ifndef __INSPECTORCOMMON__
#define __INSPECTORCOMMON__

#define kInspectorErrStrings 258		/* error strings */
#define kWindowStackerLibraryMissing 1	/* index into error strings */

#define	rMenuBar		128			/* application's menu bar */
#define	rAboutAlert		128			/* about alert */
#define	rDocWindow		128			/* application's window */
#define	rFolderDialog	130			/* dialog for choosing a folder */


#define	mApple					128		/* Apple menu */
#define	iAbout					1

#define	mFile					129		/* File menu */
#define	iClose					1
#define	iQuit					2

#define	mEdit					130		/* Edit menu */
#define	iUndo					1
#define	iCut					3
#define	iCopy					4
#define	iPaste					5
#define	iClear					6

#define	mWindows				131		/* Windows menu */
#define	iStack					1
#define	iTile					2

#define	mCommands				132		/* Commands menu */
#define	iRegisterFolder			1
#define	iUnregisterFolder		2
#define	iRegisterFile			4
#define	iUnregisterFile			5
#define	iReloadLibraryManager	7
#define	iUnloadLibraryManager	8
#define	iGotoSimpleProgram		10
#define	iTraceLogOn				12
#define	iTraceLogOff			13


#endif
