/*
	File:		TestArbitrator.h

	Contains:	xxx put contents here xxx

	Copyright:	 1991-1993 by Apple Computer, Inc., all rights reserved.

*/

#ifndef __TESTARBITRATOR__
#define __TESTARBITRATOR__

#ifndef __TESTTOOL__
#include <TestTool.h>
#endif
#ifndef __LIBRARYMANAGERCLASSES__
#include <LibraryManagerClasses.h>
#endif

#define kTTestArbitratorID	kTestToolPrefix "TTestArbitrator,1.1"


class TTestArbitrator : public TTestTool
{
	public:
							TTestArbitrator();
		virtual				~TTestArbitrator();

		virtual void		InitTest(Boolean verbose, Boolean debug, int, char**);		
		virtual void		RunTestIteration(Boolean verbose, Boolean debug);
		virtual void		EndTest(Boolean verbose, Boolean debug);
				void		SetOwnerHandlerCalled();
				void		SetRequestHandlerCalled();

	private:
		TArbitrator*		fTest;
		long				fCount;
		Boolean				fRequestHandlerCalled;
		Boolean				fOwnerHandlerCalled;
};


/*	-----------------------------------------------------------------
	Inlines for TTestArbitrator
	----------------------------------------------------------------- */
	inline void TTestArbitrator::SetOwnerHandlerCalled()
	{
		fOwnerHandlerCalled = true;
	}
	
	
	inline void TTestArbitrator::SetRequestHandlerCalled()
	{
		fRequestHandlerCalled = true;
	}



#endif
