/*
	File:		SinpleCommon.h

	Contains:	Things common to Inspector C++ and Rez source

	Copyright:	 1991-1993 by Apple Computer, Inc., all rights reserved.

*/

#ifndef __SIMPLECOMMON__
#define __SIMPLECOMMON__

#define kInspectorMainErrStrings 257	/* error strings */
#define kInspectorLibraryMissing 1		/* index into error strings */
#define kInitLibraryManagerFailed 2		/* index into error strings */
#define	rUserAlert	129					/* user error alert */
#define	rAboutAlert	128					/* about alert */


/* Resources for the SimpleProgram routines */

#define	rMenuBar	129				/* application's menu bar */

#define	mApple					228		/* Apple menu */
#define	iAbout					1

#define	mFile					229		/* File menu */
#define	iLoadLibraryManager		1
#define	iUnloadLibraryManager	2
#define	iRealProgram			3
#define	iQuit					4

#define	mEdit					230		/* Edit menu */
#define	iUndo					1
#define	iCut					3
#define	iCopy					4
#define	iPaste					5
#define	iClear					6

#endif
