/*
	File:		WindowStacker.h

	Contains:	xxx put contents here xxx

	Copyright:	 1992-1993 by Apple Computer, Inc., all rights reserved.

*/


#ifndef __WINDOWSTACKER__
#define __WINDOWSTACKER__

#ifndef __LIBRARYMANAGER__
#include <LibraryManager.h>
#endif

#ifndef __WINDOWS__
#include <Windows.h>
#endif

#define kWindowStackerLibID "appl:insp$WindowStackerLibrary,1.1"

const short kWindowHStart = 5;
const short kWindowVStart = 43;
const short kWindowHResetStagger = 20;
const short kWindowHStagger = 16;
const short kWindowVStagger = 16;

#define kTWindowStackerID	"appl:insp$TWindowStacker,1.1"

class TWindowStacker : public TDynamic
{
public:
								TWindowStacker(short hStacker, short vStagger);
								TWindowStacker();
	virtual						~TWindowStacker();

	virtual	void				StackWindows(short& hStart, short& vStart);

private:
	virtual	void				PrivateStackWindows(WindowPtr, short& hStart, short& vStart);
			void				InitWindowStacker(short hStacker, short vStagger);

private:
	short				fHStagger;
	short				fVStagger;
};


#endif
