/*
	File:		ShowINITLibrary.h

	Contains:	Interface file for everything that the ShowINITLibrary exports
				including the ShowInit routine.

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

*/

#ifndef __SHOWINITLIBRARY__
#define __SHOWINITLIBRARY__

#ifndef __TYPES__
#include <Types.h>
#endif

/*
	DEFINITIONS AND CONSTANTS
*/

#define kINITLibID				"slm:samp$ShowInitLibrary"
#define kShowInitFunctionSet 	"slm:samp$ShowInitFunctionSet,1.1"

/*
	Function Set
*/

void	ShowInit( short iconID );

#endif