/*
	File:		TestMisc.h

	Contains:	Miscellaneous tests

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

*/

#ifndef __TESTMISC__
#define __TESTMISC__

#ifndef __TESTTOOL__
#include <TestTool.h>
#endif

/*******************************************************************************
** CLASS TTestMisc
********************************************************************************/

#define kTTestMiscID	kTestToolPrefix "TTestMisc,1.1"

class TTestMisc : public TTestTool
{
	public:
							TTestMisc();
		virtual				~TTestMisc();
		
		virtual void		InitTest(Boolean verbose, Boolean debug,
									 int argc, char** argv);		
		virtual void		RunTestIteration(Boolean verbose, Boolean debug);
		virtual void		EndTest(Boolean verbose, Boolean debug);
		
};

#endif

