/*
	File:		TestTaskScheduler.h

	Contains:	Declaration for TTestTaskScheduler class

	Copyright:	 1991-1993 by Apple Computer, Inc., all rights reserved.

*/

#ifndef __TESTTASKSCHEDULER__
#define __TESTTASKSCHEDULER__

#ifndef __TESTCLASS__
#include "TestClass.h"
#endif
#ifndef __LIBRARYMANAGERCLASSES__
#include <LibraryManagerClasses.h>
#endif

#define kTTestTaskSchedulerID	kTestToolPrefix "TTestTaskScheduler,1.1"


class TTestTaskScheduler : public TTestTool
{
	BodyTest(TaskScheduler, TaskScheduler);
};

/**********************************************************************
** Support class
***********************************************************************/

class TTaskOperation : public TOperation
{
	public:
						TTaskOperation();
		virtual			~TTaskOperation();
		
		virtual void	Process();
		
	unsigned long	fCount;
};



#endif


