/*
	File:		TestTimings.h

	Contains:	Declaration for the TTestTimings class

	Copyright:	 1992-1993 by Apple Computer, Inc., all rights reserved.

*/

#ifndef __TESTTIMINGS__
#define __TESTTIMINGS__

#ifndef __TESTTOOL__
#include <TestTool.h>
#endif

/*******************************************************************************
** CLASS TTestTimings
********************************************************************************/

#define kTTestTimingsID	kTestToolPrefix "TTestTimings,1.1"

class TTestTimings : public TTestTool
{
	public:
							TTestTimings();
		virtual				~TTestTimings();
		
		virtual void		InitTest(Boolean verbose, Boolean debug,
									 int argc, char** argv);		
		virtual void		RunTestIteration(Boolean verbose, Boolean debug);
		virtual void		EndTest(Boolean verbose, Boolean debug);
		
};

#endif
